<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.houseuserthird.mapper.ThirdHouseUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="thirdHouseUserResultMap" type="org.springblade.community.houseuserthird.entity.ThirdHouseUser">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="sex" property="sex"/>
        <result column="agency_name" property="agencyName"/>
        <result column="residential_name" property="residentialName"/>
        <result column="house_info" property="houseInfo"/>
        <result column="image" property="image"/>
        <result column="idcard" property="idcard"/>
        <result column="tel" property="tel"/>
        <result column="nationality" property="nationality"/>
        <result column="nation" property="nation"/>
        <result column="education" property="education"/>
        <result column="political" property="political"/>
        <result column="occupation" property="occupation"/>
        <result column="marital_status" property="maritalStatus"/>
        <result column="relationship" property="relationship"/>
        <result column="native_place" property="nativePlace"/>
        <result column="address" property="address"/>
        <result column="workplace" property="workplace"/>
        <result column="is_file" property="isFile"/>
        <result column="wubao" property="wubao"/>
        <result column="dibao" property="dibao"/>
        <result column="guer" property="guer"/>
        <result column="canji" property="canji"/>
        <result column="youfu" property="youfu"/>
        <result column="car_no_truck" property="carNoTruck"/>
        <result column="car_no" property="carNo"/>
        <result column="remark" property="remark"/>
        <result column="processed" property="processed"/>
        <result column="error_msg" property="errorMsg"/>
    </resultMap>


    <select id="selectThirdHouseUserPage" resultMap="thirdHouseUserResultMap">
        select * from yz_third_house_user where is_deleted = 0
    </select>

</mapper>
